#navbar .icon-menu {
  position: absolute;
  right: 0;
  top: 0;
  width: 80px;
  height: 110px;
  border: 0;
  background: none;
  z-index: 200;
  text-align: center;
  margin: 0;
  padding: 0;
  border-left: 1px solid #EEEEEE;
}

#navbar .icon-menu span.icon-menu-1,
#navbar .icon-menu span.icon-menu-2,
#navbar .icon-menu span.icon-menu-3 {
  width: 30px;
  height: 4px;
  background: #000000;
  display: block;
  margin: 6px auto;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-radius: 2px;
  position: relative;
  top: 0;
}

#navbar .icon-menu span.icon-menu-1,
#navbar .icon-menu span.icon-menu-3 {
  -webkit-transition: all 0.1s 0.1s;
  -o-transition: all 0.1s 0.1s;
  -moz-transition: all 0.1s 0.1s;
  transition: all 0.1s 0.1s;
}

#navbar .icon-menu span.icon-menu-2 {
  -webkit-transition: all 0.1s 0.1s;
  -o-transition: all 0.1s 0.1s;
  -moz-transition: all 0.1s 0.1s;
  transition: all 0.1s 0.1s;
}

@media (min-width: 992px) {
  #navbar .icon-menu {
    display: none;
  }
}

/* open */
body.menu-open #navbar .icon-menu span.icon-menu-1 {
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  -o-transform: rotate(45deg);
  transform: rotate(45deg);
  position: relative;
  top: 10px;
}

body.menu-open #navbar .icon-menu span.icon-menu-2 {
  visibility: hidden;
}

body.menu-open #navbar .icon-menu span.icon-menu-3 {
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  -o-transform: rotate(-45deg);
  transform: rotate(-45deg);
  position: relative;
  top: -10px;
}

body.menu-open #navbar .icon-menu span.icon-menu-1,
body.menu-open #navbar .icon-menu span.icon-menu-3 {
  -webkit-transition: all 0 0;
  -o-transition: all 0 0;
  -moz-transition: all 0 0;
  transition: all 0 0;
}

body.menu-open #navbar .icon-menu span.icon-menu-2 {
  -webkit-transition: all 0.1s 0s;
  -o-transition: all 0.1s 0s;
  -moz-transition: all 0.1s 0s;
  transition: all 0.1s 0s;
}
